Package org.opensaml.saml.ext.saml2mdui

# Interface UIInfo

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `UIInfoImpl`

public interface UIInfo extends SAMLObject
See IdP Discovery and Login UI Metadata Extension Profile.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Name of the element inside the Extensions.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`List<Description>`
`getDescriptions()`
Return the descriptions.
`List<DisplayName>`
`getDisplayNames()`
Get the Display Names
`List<InformationURL>`
`getInformationURLs()`
Get the URLs.
`List<Keywords>`
`getKeywords()`
Get the keywords.
`List<Logo>`
`getLogos()`
Get the logos.
`List<PrivacyStatementURL>`
`getPrivacyStatementURLs()`
Get the Privacy Statement URLs.
`List<XMLObject>`
`getXMLObjects()`
Get the list of all children of this element.
`List<XMLObject>`
`getXMLObjects(QName typeOrName)`
Get the list of all children of this element which have the specified name or type.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Name of the element inside the Extensions.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getDisplayNames

@Nonnull @Live List<DisplayName> getDisplayNames()
Get the Display Names

The <DisplayName> element specifies a set of localized names fit for display to users. Such names are meant to allow a user to distinguish and identify the entity acting in a particular role.

Returns:
  the names

### getKeywords

@Nonnull @Live List<Keywords> getKeywords()
Get the keywords.

The <Keywords> element specifies a set of keywords associated with the entity.

Returns:
  a list of keywords

### getDescriptions

@Nonnull @Live List<Description> getDescriptions()
Return the descriptions.

The <Description> element specifies a set of brief, localized descriptions fit for display to users. In the case of service providers this SHOULD be a description of the service being offered. In the case of an identity provider this SHOULD be a description of the community serviced. In all cases this text SHOULD be standalone, meaning it is not meant to be filled in to some template text (e.g. 'This service offers $description').

Returns:
  descriptions

### getLogos

@Nonnull @Live List<Logo> getLogos()
Get the logos.

The <Logo> element specifies a set of localized logos fit for display to users.

Returns:
  a list of logos

### getInformationURLs

@Nonnull @Live List<InformationURL> getInformationURLs()
Get the URLs.

The <InformationURL> specifies URLs to localized information, about the entity acting in a given role, meant to be viewed by users. The contents found at these URLs SHOULD give a more complete set of information about than what is provided by the <Description> element.

Returns:
  the URLs

### getPrivacyStatementURLs

@Nonnull @Live List<PrivacyStatementURL> getPrivacyStatementURLs()
Get the Privacy Statement URLs.

The <PrivacyStatementURL> specifies URLs to localized privacy statements. Such statements are meant to provide a user with information about how information will be used and managed by the entity.

Returns:
  the URLs

### getXMLObjects

@Nonnull @Live List<XMLObject> getXMLObjects()
Get the list of all children of this element.

Returns:
  the list of all XMLObject children

### getXMLObjects

@Nonnull @Live List<XMLObject> getXMLObjects(@Nonnull QName typeOrName)
Get the list of all children of this element which have the specified name or type.

Parameters:
  `typeOrName` - the element name or type of the desired list of elements
Returns:
  the list of all XMLObject children